## php-doc 20131001

=== doc-base/scripts/quickref/Makefile ===
all: functions.js funclist.zip

functions.js: before.js compressed.txt middle.js compkey.txt after.js
	cat before.js compressed.txt middle.js compkey.txt after.js > functions.js

after.js: originalafter.js
	php processafter.php

compressed.txt: prefixcompressed.txt
	php unusedcompress.php

prefixcompressed.txt: funclist.txt
	php prefixcompress.php

funclist.txt:
	php makefunclist.php

funclist.zip: Makefile after.js before.js compkey.txt compressed.txt funclist.txt functions.js test.html makefunclist.php middle.js originalafter.js prefixcompress.php prefixcompressed.txt processafter.php readme.txt unusedcompress.php
	zip funclist.zip Makefile after.js before.js compkey.txt compressed.txt funclist.txt functions.js test.html makefunclist.php middle.js originalafter.js prefixcompress.php prefixcompressed.txt processafter.php readme.txt unusedcompress.php

clean:
	rm funclist.txt prefixcompressed.txt compressed.txt functions.js after.js compkey.txt

=== debian/changelog ===
php-doc (20131001-1) unstable; urgency=low

  * New upstream release
  * Upgrade PhD to 1.1.16
    - Should reduce memory consumption (Closes: #718086)
    - Requires PHP sqlite extension, dependency added.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Lior Kaplan <kaplan@debian.org>  Tue, 01 Oct 2013 20:39:44 +0200

php-doc (20100521-2) unstable; urgency=low

  * Fix the clean part on debian/rules. (Closes: #583594)

 -- Lior Kaplan <kaplan@debian.org>  Sat, 29 May 2010 21:56:21 +0300

php-doc (20100521-1) unstable; urgency=low

  * New upstream release (Closes: #573505)
    - Removes build dependency on sp.
    - Doesn't provide a php.ini file (Closes: #533998)
  * Fix bashism in debian/rules (Closes: #535408)
  * Upgrade PhD to version 0.4.8 (version 1.0.0 is a PEAR package).
  * Bump standards-version to 3.8.4 (no changes needed).
  * Override lintian copyright-refers-to-problematic-php-license tag
    as code from the PHP group is provided.

 -- Lior Kaplan <kaplan@debian.org>  Mon, 24 May 2010 17:21:24 +0300

php-doc (20081024-1) unstable; urgency=low

  * New upstream release (Closes: #467434).
    - License changed to CC-BY v3.0.
  * Debian/copyright:
    - Update Upstream Authors list.
    - Change license from OPL to CC-BY v3.0.
    - Add license info on all of the old build scripts.
    - Add PhD's license.
  * debian/control:
    - Return package to main, as the license was changed.
    - Bump standards-version to 3.8.0 (no changes needed).
    - Remove PHP4 from the short description.
    - Change Build-Depends-Indep to only php5-cli and sp as the new build
      system have less requirements.
  * debian/rules:
    - Change build system from autoconf/make to PhD.

 -- Lior Kaplan <kaplan@debian.org>  Sat, 25 Oct 2008 20:05:18 +0200

php-doc (20070501-1) unstable; urgency=low

  * New upstream release
    - Fixes /usr/share/doc/php-doc/html/indexes.html (Closes: #404908).
    - Fixes /usr/share/doc/php-doc/html/faq.general.html (Closes: #411725).
  * debian/control
    - Remove transitional package phpdoc.
    - Recommend php5-cli.

 -- Lior Kaplan <kaplan@debian.org>  Tue, 01 May 2007 23:00:00 +0300

php-doc (20061001-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Move debhelper to build depends, and use version 5.
    - Update Standards-Version to 3.7.2 (no changes needed)

 -- Lior Kaplan <kaplan@debian.org>  Sun,  1 Oct 2006 13:04:45 +0200

php-doc (20060408-1) unstable; urgency=low

  * New upstream release 
  * debian/control:
    - Rename package to php-doc (Closes: #314202)
    - Keep phpdoc as a transition package for Sarge->Etch upgrade
    - Update Build-Depends-Indep to php5 and debhelper4
    - Update Standards-Version to 3.6.2 (no changes needed)
    - Update my maintainer address to @debian.org
  * Remove upstream's README from the package (Closes: #310242)

 -- Lior Kaplan <kaplan@debian.org>  Sat,  8 Apr 2006 20:04:39 +0300

phpdoc (20050512-1) unstable; urgency=low

  * New maintainer. Closes: #288741, #306670
  * New upstream release. Closes: #253982, #288422
  * Upstream fixed URL to GNU date syntax. Closes: #250693
  * Acknowledge NMUs by Sebastian Muszynski & myself. Closes: #230677, #282274
  * debian/copyright: update license from GPL to Open Publication License.
  * debian/control:
    - move to non-free due to license change.
    - Build-Depends-Indep: add autoconf, xsltproc & libxml2-utils.
    - Add my sponsor, Shaul Karl <shaul@debian.org> to Uploaders.
  * debian/rules: add clean commands (thanks for Jeroen van Wolffelaar)

 -- Lior Kaplan <webmaster@guides.co.il>  Thu, 12 May 2005 18:31:54 +0300

phpdoc (20030911-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
    - remove openjade from Build-Depends-Indep. (Closes: #282274)
    - fix standards version to 3.6.1
  * debian/README.Debian: fix spelling errors
  * debian/copyright: remove extra braces (fixes lintian error)

 -- Lior Kaplan <webmaster@guides.co.il>  Fri,  6 May 2005 19:44:18 +0300

phpdoc (20030911-1.1) unstable; urgency=low

  * NMU during BSP.
  * Build-Depends fixed. (closes: #230677)

 -- Sebastian Muszynski <do2ksm@linkt.de>  Sun, 21 Mar 2004 03:14:48 +0100

phpdoc (20030911-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Thu, 11 Sep 2003 08:33:02 +0200

phpdoc (20030716-1) unstable; urgency=low

  * New upstream version.

 -- Petr Cech <cech@debian.org>  Wed, 16 Jul 2003 14:46:15 +0200

phpdoc (20030623-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Mon, 23 Jun 2003 23:17:31 +0200

phpdoc (20030518-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Sun, 18 May 2003 16:31:28 +0200

phpdoc (20030303-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Mon,  3 Mar 2003 00:20:49 +0100

phpdoc (20030209-1) unstable; urgency=low

  * New upstream relese.
  * debian/control: s/docbook-stylesheets/docbook-dsssl/

 -- Petr Cech <cech@debian.org>  Sun,  9 Feb 2003 19:31:33 +0100

phpdoc (20030104-1) unstable; urgency=low

  * New upstream relese. (try to upload it this time :-D)

 -- Petr Cech <cech@debian.org>  Wed,  8 Jan 2003 21:45:36 +0100

phpdoc (20021116-1) unstable; urgency=low

  * New CVS snapshot.

 -- Petr Cech <cech@debian.org>  Sat, 16 Nov 2002 18:09:14 +0100

phpdoc (20020927-1) unstable; urgency=low

  * New CVS snapshot

 -- Petr Cech <cech@debian.org>  Fri, 27 Sep 2002 14:02:28 +0200

phpdoc (20020820-1) unstable; urgency=low

  * New CVS snapshot
  * Build-depends-indep: php4-cgi (closes: #155358)

 -- Petr Cech <cech@debian.org>  Tue, 20 Aug 2002 21:45:01 +0200

phpdoc (20020727-1) unstable; urgency=low

  * New CVS snapshot

 -- Petr Cech <cech@debian.org>  Sat, 27 Jul 2002 15:02:08 +0200

phpdoc (20020618-1) unstable; urgency=low

  * New CVS snapshot

 -- Petr Cech <cech@debian.org>  Wed, 19 Jun 2002 18:05:25 +0200

phpdoc (20020515-1) unstable; urgency=low



=== debian/control ===
Source: php-doc
Section: doc
Priority: optional
Maintainer: Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 6.0.7~) 
Build-Depends-Indep: php5-cli, php5-sqlite
Standards-Version: 3.9.4
Homepage: http://docs.php.net/manual/en/

Package: php-doc
Architecture: all
Recommends: php5-cli
Depends: ${misc:Depends}
Description: Documentation for PHP5
 This package provides the documentation for the PHP scripting language. 
 .
 PHP, which stands for "PHP: Hypertext Preprocessor" is a widely-used Open
 Source general-purpose scripting language that is especially suited for Web
 development and can be embedded into HTML. Its syntax draws upon C, Java, and
 Perl, and is easy to learn. The main goal of the language is to allow web
 developers to write dynamically generated web pages quickly, but you can do
 much more with PHP.
 .
 This manual consists primarily of a function reference, but also contains a
 language reference, explanations of some of PHP's major features, and other
 supplemental information.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	php doc-base/configure.php

	touch configure-stamp

build-arch: build

build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	rm -rf PhD/PhD-*/phpdotnet/phd/Package
	cp -rp PhD-Generic/PhD_Generic-*/phpdotnet/phd/Package/ PhD/PhD-*/phpdotnet/phd/
	php PhD/PhD-*/render.php --docbook doc-base/.manual.xml --format xhtml

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	rm -rf PhD/PhD-*/phpdotnet/phd/Package
	find en -name entities.\*.xml | xargs rm -f
	find doc-base/ -name \*.ser | xargs rm -f
	rm -f doc-base/.manual.xml doc-base/version.xml doc-base/manual.xml \
	doc-base/scripts/file-entities.php doc-base/entities/version.ent \
	doc-base/entities/file-entities.ent
	rm -rf output

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	mv output/chunked-xhtml/ debian/php-doc/usr/share/doc/php-doc/html

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs 
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## php-doc 20140201

=== debian/changelog ===
php-doc (20140201-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565976).
    - Note that this is still the PHP5 version of the documentation. I
      have requested that Debian update the package to include the
      latest version (and thus information for PHP7.0) but that is still
      pending.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 12:57:21 -0700

php-doc (20140201-1) unstable; urgency=medium

  * New upstream release
  * Upload under the Debian PHP Maintainers team umbrella

 -- Lior Kaplan <kaplan@debian.org>  Tue, 11 Feb 2014 02:02:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: php-doc
 Section: doc
 Priority: optional
-Maintainer: Lior Kaplan <kaplan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Uploaders: Lior Kaplan <kaplan@debian.org>
 Build-Depends: debhelper (>= 6.0.7~) 
-Build-Depends-Indep: php5-cli, php5-sqlite
+Build-Depends-Indep: php-cli, php-sqlite3, php-xml
 Standards-Version: 3.9.4
 Homepage: http://docs.php.net/manual/en/
 
 Package: php-doc
 Architecture: all
-Recommends: php5-cli
+Recommends: php-cli
 Depends: ${misc:Depends}
 Description: Documentation for PHP5
  This package provides the documentation for the PHP scripting language.

## php-doc 20231206~git.66ff996+dfsg

=== debian/changelog ===
php-doc (20231206~git.66ff996+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Joao Nobrega ]
  * d/p/reproducible-build.patch: apply patch to fix reproducible build.
    Thanks to Chris Lamb. (Closes: #1056398)

  [ Athos Ribeiro ]
  * d/copyright: Update copyright date

 -- Joao Nobrega <joaopedrobsb3@gmail.com>  Sat, 06 Jan 2024 18:21:03 -0300

php-doc (20231206~git.66ff996+dfsg-1) unstable; urgency=medium

  * New upstream version 20231206~git.66ff996+dfsg
  * d/copyright:
    - Remove file deleted upstream
    - Update copyright dates

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 15 Dec 2023 16:00:12 -0300

php-doc (20231115~git.99fbf5d+dfsg-1) unstable; urgency=medium

  * d/control: set Multi-Arch to foreign
  * New upstream version 20231115~git.99fbf5d+dfsg

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 21 Nov 2023 04:26:20 -0300

php-doc (20231111~git.f333b4a+dfsg-1) unstable; urgency=medium

  * New upstream version 20231111~git.f333b4a+dfsg
  * Drop patch for broken links

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 13 Nov 2023 09:06:41 -0300

php-doc (20231017~git.cce6f7f+dfsg-2) unstable; urgency=medium

  * d/p/fix-broken-phar-constant-links.patch: fix broken Phar constant links.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 08 Nov 2023 07:00:24 -0300

php-doc (20231017~git.cce6f7f+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #903999, #821695)
  * d/control:
    - Use debhelper-compat 13.
    - Update Standards-Version to 4.6.2.
    - Update dependencies to reflect recent php stack.
    - Update maintainer information.
    - Add missing php-xml dependency.
    - Add VCS information.
    - Add Rules-Requires-root field.
  * d/compat: remove file.
  * d/copyright:
    - Remove non-free files.
    - Update copyright data.
    - Update source information.
    - Update Format URL to use HTTPS.
  * d/rules:
    - Rely on modern debhelper hooks.
    - Render documentation with the PHP package.
      (Closes: #737713, #766882, #734145)
  * d/clean: remove build leftovers.
  * d/watch: track multiple upstream tarballs.
  * d/repack-doc-base.sh: add script to repack doc-base with the expected
    directory structure.
  * d/README.source: document Multiple Upstream Tarballs structure.
  * d/source/lintian-overrides: ignore license-problem-php-license.
  * d/php-doc.docs: install documentation through dh_installdocs.
  * d/tests: test docs for broken local URLs.
  * d/debian.css: use modified maint-guide stylesheet.
  * d/patches:
    - Remove xkcd mediaobjects.
    - Replace non-free stylesheets.
  * d/gbp.conf:
    - Default to pristine-tar = False. gbp generates dangling tree references
      otherwise. See #1031693 for further reference.
    - Set debian-branch to debian/main.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 31 Oct 2023 09:18:44 -0300

=== debian/control ===
Source: php-doc
Section: doc
Priority: optional
Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Uploaders: Athos Ribeiro <athos.ribeiro@canonical.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: php-cli, php-sqlite3, php-xml
Standards-Version: 4.6.2
Homepage: http://docs.php.net/manual/en/
Vcs-Browser: https://salsa.debian.org/php-team/php-doc
Vcs-Git: https://salsa.debian.org/php-team/php-doc.git
Rules-Requires-Root: no

Package: php-doc
Architecture: all
Multi-Arch: foreign
Recommends: php-cli
Depends: ${misc:Depends}
Description: Documentation for PHP
 This package provides the documentation for the PHP scripting language.
 .
 PHP, which stands for "PHP: Hypertext Preprocessor" is a widely-used Open
 Source general-purpose scripting language that is especially suited for Web
 development and can be embedded into HTML. Its syntax draws upon C, Java, and
 Perl, and is easy to learn. The main goal of the language is to allow web
 developers to write dynamically generated web pages quickly, but you can do
 much more with PHP.
 .
 This manual consists primarily of a function reference, but also contains a
 language reference, explanations of some of PHP's major features, and other
 supplemental information.

## php-doc 20240421~git.dacdc95+dfsg

=== debian/changelog ===
php-doc (20240421~git.dacdc95+dfsg-1) unstable; urgency=medium

  * New upstream version 20240421~git.dacdc95+dfsg
  * d/patches: refresh patches

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 25 Apr 2024 20:31:55 -0300

php-doc (20240317~git.0aaa1ae+dfsg-1) unstable; urgency=medium

  * New upstream version 20240317~git.0aaa1ae+dfsg
  * d/patches: refresh patches

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 21 Mar 2024 20:48:12 -0300

## php-doc 20241205~git.dfcbb86+dfsg

=== debian/changelog ===
php-doc (20241205~git.dfcbb86+dfsg-1) unstable; urgency=medium

  * d/copyright: remove pre-built jing java jar
  * New upstream version 20241205~git.dfcbb86+dfsg
  * d/control: add jing as a build dependency
  * d/p/system-jing.patch: use system jing
  * d/patches: refresh patches

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 06 Dec 2024 11:07:48 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
 Uploaders: Athos Ribeiro <athos.ribeiro@canonical.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: php-cli, php-sqlite3, php-xml
+Build-Depends-Indep: php-cli, php-sqlite3, php-xml, jing
 Standards-Version: 4.6.2
 Homepage: http://docs.php.net/manual/en/
 Vcs-Browser: https://salsa.debian.org/php-team/php-doc

## php-doc 20250827~git.abe740d+dfsg

=== Makefile ===
.PHONY: *

SHELL = /bin/sh

CURRENT_UID := $(shell id -u)
CURRENT_GID := $(shell id -g)

#
# If doc-base or phd exist as siblings to the current directory, add those as
# volumes to our Docker runs.
#

PATHS := -v .:/var/www/en
ifneq ($(wildcard ../doc-base/LICENSE),)
	PATHS += -v ${PWD}/../doc-base:/var/www/doc-base
endif
ifneq ($(wildcard ../phd/LICENSE),)
	PATHS += -v ${PWD}/../phd:/var/www/phd
endif

xhtml: .docker/built
	docker run --rm ${PATHS} -w /var/www -u ${CURRENT_UID}:${CURRENT_GID} php/doc-en

php: .docker/built
	docker run --rm ${PATHS} -w /var/www -u ${CURRENT_UID}:${CURRENT_GID} \
		-e FORMAT=php php/doc-en

build: .docker/built

.docker/built:
	docker build .docker -t php/doc-en
	touch .docker/built

=== debian/changelog ===
php-doc (20250827~git.abe740d+dfsg-1) unstable; urgency=medium

  * New upstream version 20250827~git.abe740d+dfsg
  * d/control:
    - bump standards version
    - change uploader contact info
  * d/copyright: update debian copyright data
  * d/patches: refresh
  * d/clean: update file list.
    Some files are no longer generated by templates
  * d/copyright: update copyright data
  * d/p/drop-config-git-ops.patch: drop git operations.
    This new upstream version relies on git to configure the package build.
    This is not needed in the deb package context.

 -- Athos Ribeiro <athos@debian.org>  Sun, 07 Sep 2025 10:34:43 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
-Uploaders: Athos Ribeiro <athos.ribeiro@canonical.com>
+Uploaders: Athos Ribeiro <athos@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: php-cli, php-sqlite3, php-xml, jing
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://docs.php.net/manual/en/
 Vcs-Browser: https://salsa.debian.org/php-team/php-doc
 Vcs-Git: https://salsa.debian.org/php-team/php-doc.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	php doc-base/configure.php
	dh_auto_configure $@

override_dh_auto_build:
	php phd/render.php -P PHP --docbook doc-base/.manual.xml --format xhtml
	mv output/php-chunked-xhtml output/html
	dh_auto_build $@

override_dh_auto_clean:
	find en -name entities.\*.xml ! -path en/reference/rpminfo/entities.functions.xml -exec rm -f '{}' \;
	dh_auto_clean $@

=== debian/tests/control ===
Test-Command: linkchecker --no-status /usr/share/doc/php-doc/html/index.html
Features: test-name=check-no-broken-links
Depends: @, linkchecker
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=mode=git,\
  dversionmangle=s/\+dfsg\d*$//,\
  repacksuffix=+dfsg,\
  pretty=%cd~git.%h \
  https://github.com/php/doc-base.git HEAD debian debian/repack-doc-base.sh
opts=component=en,\
  mode=git,\
  pretty=%cd~git.%h \
  https://github.com/php/doc-en.git HEAD ignore
opts=component=phd,\
  mode=git,\
  pretty=describe \
  https://github.com/php/phd HEAD ignore uupdate
